using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace TelerikAspNetCoreApp684.Models
{
    public class OrderViewModel
    {
        public int OrderID
        {
            get;
            set;
        }

        public decimal? Freight
        {
            get;
            set;
        }

        [Required]
        public DateTime? OrderDate
        {
            get;
            set;
        }

        public string ShipCity
        {
            get;
            set;
        }

        public string ShipName
        {
            get;
            set;
        }
        [UIHint("EnumEditor")]
        public OrderStatusEnum OrderStatus { get; set; }

        [UIHint("EnumEditor")]
        public OrderTypeEnum OrderType { get; set; }
    }
    public enum OrderStatusEnum
    {
        Received = 1,
        Shipped = 2
    }
    public enum OrderTypeEnum
    {
        Fragile = 0,
        Heavy = 1
    }
}
